int8 const LED_MAP[10] =
{0x3f, 0x06, 0x5b, 0x4f, 0x66, 0x6d, 0x7d, 0x07, 0x7f, 0x67};

//
// Displays a number to a dual 7 segment display.
//

void display_number(int n)
{
    output_b(LED_MAP[n/10]);
    output_low(PIN_C0);
    delay_ms(2);
    output_high(PIN_C0);
    output_b(LED_MAP[n%10]);
    output_low(PIN_C1);
    delay_ms(2);
    output_high(PIN_C1);
}
