#CASE
#include <prototype.h>
//#include <protoalone.h>
#include <utility.c>
#include <display7Seg.c>
#include <srf05Ultrasonic.c>


void main()
{
    while(TRUE)
    {
        int16 inches;
        int8 i;

        wait_for_one_press();
        inches = ultrasonic_checkDepth();

        // Clamp range to 99 since that is what my dual 7 segment display
        // can handle, but I'm measured the srf05 getting reading from 
        // much farther away (over 200 inches)
        if(inches >= 100)
        {
            inches = 0;
        }

        // 7 segment displays are just leds so we need constantly send a signal
        // to them and these are multiplexed so we need to keep blinking them.
        for(i=0; i<255; ++i)
        {
            display_number((int8)inches);
        }
    }
}

